﻿<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <PackageType>Template</PackageType>
        <TargetFramework>netstandard2.0</TargetFramework>
        <IncludeContentInPack>true</IncludeContentInPack>
        <IncludeBuildOutput>false</IncludeBuildOutput>
        <ContentTargetFolders>content</ContentTargetFolders>
        <NoDefaultExcludes>true</NoDefaultExcludes>
    </PropertyGroup>

    <PropertyGroup>
        <Title>Vintage Story Mod Template</Title>
        <Authors>Capsup</Authors>
        <Description>Template for creating vintage story mods, based on a setup of .NET Standard 2.0.</Description>
        <PackageRequireLicenseAcceptance>false</PackageRequireLicenseAcceptance>
        <PackageLicenseExpression>MIT</PackageLicenseExpression>
        <PackageIconUrl>icon.png</PackageIconUrl>
        <PackageId>Capsup.VSModTemplate</PackageId>
        <PackageTags>dotnet-new templates</PackageTags>
    </PropertyGroup>

    <ItemGroup>
        <Content Include="templates\**\*" Exclude="templates\**\bin\**\*;templates\**\obj\**\*;templates\**\.vs\**\*;templates\**\*.csproj.user" />
        <Compile Remove="**\*" />
        <None Include="templates\VSModSolutionTemplate\.template.config\icon.png" Pack="true" PackagePath="\" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="MinVer" Version="2.5.0">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
    </ItemGroup>

    <Target Name="Versioning" BeforeTargets="MinVer">
        <PropertyGroup Label="Build">
            <MinVerDefaultPreReleasePhase>preview</MinVerDefaultPreReleasePhase>
            <MinVerVerbosity>normal</MinVerVerbosity>
        </PropertyGroup>
    </Target>

</Project>